stages:
    - build

workflow:
    rules:
        - if: $CI_MERGE_REQUEST_IID
        - if: $CI_COMMIT_TAG
        - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

default:
    image: 'gradle:7.0.2-jdk11'
    before_script:
        - 'gradle --version > /dev/null'
        - 'java -version'


build:
    stage: 'build'
    script:
        - 'gradle --stacktrace --no-daemon clean build'
    rules:
        - when: always
